package cn.com.qmth.examcloud.core.basic.api.request;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;

public class InsertOrUpdateStudentReq extends BaseRequest {

	private static final long serialVersionUID = 9066273303019460160L;

	/**
	 * 学生姓名
	 */
	private String name;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 机构ID
	 */
	private Long orgId;

	/**
	 * 学习中心编码
	 */
	private String orgCode;

	/**
	 * 学习中心名称
	 */
	private String orgName;

	/**
	 * 学生code
	 */
	private String studentCode;

	/**
	 * 身份证号码
	 */
	private String identityNumber;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 图片地址
	 */
	private String photoPath;

	/**
	 * 手机号码
	 */
	private String phoneNumber;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getPhotoPath() {
		return photoPath;
	}

	public void setPhotoPath(String photoPath) {
		this.photoPath = photoPath;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

}
