/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-16 15:58:23.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * @author: fengdesheng
 * @since: 2018/8/15
 */
public class ExamStudentSyncAllDataBean implements JsonSerializable {
    /**
     * 考生ID
     */
    private Long examStudentId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 学生ID
     */
    private Long studentId;
    /**
     * 学号
     */
    private String studentCode;
    /**
     * 学生姓名
     */
    private String studentName;
    /**
     * 身份证号
     */
    private String identityNumber;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 课程Code
     */
    private String courseCode;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 课程层次
     */
    private String courseLevel;
    /**
     * 学习中心ID
     */
    private Long orgId;
    /**
     * 学习中心代码
     */
    private String orgCode;
    /**
     * 学习中心名称
     */
    private String orgName;
    /**
     * 顶级机构ID
     */
    private Long rootOrgId;
    /**
     * 专业code
     */
    private String specialtyCode;
    /**
     * 专业名称
     */
    private String specialtyName;
    /**
     * 试卷类型
     */
    private String paperType;
    /**
     * 采集人
     */
    private String infoCollector;
    /**
     * 是否完成考试
     */
    private Boolean finished;
    /**
     * 正常考试次数
     */
    private Integer normalExamTimes;
    /**
     * 是否重考
     */
    private Boolean isReExamine;
    /**
     * 重考是否已完成
     */
    private Boolean reExamineCompleted;

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getSpecialtyCode() {
        return specialtyCode;
    }

    public void setSpecialtyCode(String specialtyCode) {
        this.specialtyCode = specialtyCode;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getInfoCollector() {
        return infoCollector;
    }

    public void setInfoCollector(String infoCollector) {
        this.infoCollector = infoCollector;
    }

    public Boolean getFinished() {
        return finished;
    }

    public void setFinished(Boolean finished) {
        this.finished = finished;
    }

    public Integer getNormalExamTimes() {
        return normalExamTimes;
    }

    public void setNormalExamTimes(Integer normalExamTimes) {
        this.normalExamTimes = normalExamTimes;
    }

    public Boolean getReExamine() {
        return isReExamine;
    }

    public void setReExamine(Boolean reExamine) {
        isReExamine = reExamine;
    }

    public Boolean getReExamineCompleted() {
        return reExamineCompleted;
    }

    public void setReExamineCompleted(Boolean reExamineCompleted) {
        this.reExamineCompleted = reExamineCompleted;
    }

}